package credit_usage

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/credit_usage"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /credit_usage/delete credit_usage DeleteCreditUsage
//
// Delete credit usage information | 删除CreditUsage信息
//
// Delete credit usage information | 删除CreditUsage信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDsReq
//
// Responses:
//  200: BaseMsgResp

func DeleteCreditUsageHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDsReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := credit_usage.NewDeleteCreditUsageLogic(r.Context(), svcCtx)
		resp, err := l.DeleteCreditUsage(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
